"use strict";

// replace namesLikeThis with names-like-this
var replacer = function replacer(u) {
  return "-".concat(u.toLowerCase());
};

var toDashed = function toDashed(name) {
  return "data-".concat(name.replace(/([A-Z])/g, replacer));
}; //  returns a binder for dataset of an element
// old browsers are also supported @IE9 @IE10


module.exports = dataset;

function dataset(prop, mappingFn) {
  return {
    on: null,
    getValue: function getValue() {
      if (this.dataset) {
        return this.dataset[prop];
      }
      /* istanbul ignore next */


      return this.getAttribute(toDashed(prop));
    },
    setValue: function setValue(value) {
      var val = typeof mappingFn === 'function' ? mappingFn(value) : value;

      if (this.dataset) {
        this.dataset[prop] = val;
      } else {
        /* istanbul ignore next */
        this.setAttribute(toDashed(prop), val);
      }
    }
  };
}