"use strict";

//  returns a binder to switch visibility of an element
module.exports = display;

function display() {
  var switcher = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
  return {
    on: null,
    getValue: function getValue() {
      var value = this.style.display || window.getComputedStyle(this).getPropertyValue('display');
      var none = value === 'none';
      return switcher ? !none : none;
    },
    setValue: function setValue(value) {
      var style = this.style;

      if (typeof switcher === 'function') {
        style.display = switcher(value) ? '' : 'none';
      } else if (switcher) {
        style.display = value ? '' : 'none';
      } else {
        style.display = value ? 'none' : '';
      }
    }
  };
}