"use strict";

module.exports = existence;

function existence() {
  var switcher = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
  var comment;
  return {
    setValue: function setValue(value) {
      var node = this;
      var tagName = node.tagName,
          id = node.id,
          classList = node.classList,
          className = node.className;

      if (!comment) {
        var commentText = tagName;

        if (id) {
          commentText += "#".concat(id);
        }

        if (className) {
          commentText += ".".concat([].slice.apply(classList).join('.'));
        }

        comment = window.document.createComment(commentText);
      }

      if (typeof switcher === 'function') {
        value = switcher(value); // eslint-disable-line no-param-reassign
      } else if (!switcher) {
        value = !value; // eslint-disable-line no-param-reassign
      }

      if (value) {
        // eslint-disable-next-line no-underscore-dangle
        delete node.__replacedByNode;

        if (comment.parentNode) {
          comment.parentNode.insertBefore(node, comment);
          comment.parentNode.removeChild(comment);
        }
      }

      if (!value) {
        // eslint-disable-next-line no-underscore-dangle
        node.__replacedByNode = comment;

        if (node.parentNode) {
          node.parentNode.insertBefore(comment, node);
          node.parentNode.removeChild(node);
        }
      }
    }
  };
}