"use strict";

// returns a binder for innerHTML of an element
module.exports = html;

function html(mappingFn) {
  return {
    on: 'input',
    // the event name fires only in contenteditable mode
    getValue: function getValue() {
      return this.innerHTML;
    },
    setValue: function setValue(value) {
      var val = typeof mappingFn === 'function' ? mappingFn(value) : value;

      if (val instanceof window.HTMLElement) {
        this.innerHTML = '';
        this.appendChild(val);
      } else {
        this.innerHTML = "".concat(val);
      }
    }
  };
}