"use strict";

// returns a binder to change properties of an element
module.exports = prop;

function prop(propertyName, mappingFn) {
  return {
    on: null,
    getValue: function getValue() {
      return this[propertyName];
    },
    setValue: function setValue(value) {
      var val = typeof mappingFn === 'function' ? mappingFn(value) : value; // in case when you're trying to set read-only property

      try {
        this[propertyName] = val;
      } catch (e) {// cannot set given property (eg tagName)
      }
    }
  };
}