"use strict";

// returns a binder for style properties
module.exports = style;

function style(property, mappingFn) {
  return {
    on: null,
    getValue: function getValue() {
      return this.style[property] || window.getComputedStyle(this).getPropertyValue(property);
    },
    setValue: function setValue(value) {
      var val = typeof mappingFn === 'function' ? mappingFn(value) : value;
      this.style[property] = val;
    }
  };
}