"use strict";

// returns a binder for textContent of an element
module.exports = text;

function text(mappingFn) {
  return {
    on: 'input',
    // the event name fires only in contenteditable mode
    getValue: function getValue() {
      return this.textContent;
    },
    setValue: function setValue(value) {
      var val = typeof mappingFn === 'function' ? mappingFn(value) : value;
      this.textContent = "".concat(val);
    }
  };
}